<?php

namespace Mnv\Models\Interfaces;

/**
 * Interface IModel
 * @package Mnv\Models\Interfaces
 */
interface IModel
{

    /** Показать все */
    public function all(int $limit, int $page);

    /** Показать кол-во */
    public function total();

    /** Редактировать */
    public function edit();

    /** Проверить на существование */
    //public function checkFileName(string $fileName);

    /** Добавить */
    public function insert(array $data);

    /** Обновить */
    public function update(array $data);

    /** Изменить статус */
    public function status();

    /** Удалить */
    public function remove();

}